Skip to content

Retrieving a sending for a Mailing Synchronization

GET /integrations/inxmail-professional/mailing-synchronizations/{syncId}/sendings/{id}

Request Parameters

Parameter Required In Description
syncId yes path The ID of the Mailing Synchronization the sendings should be retrieved for
id yes path The ID of the sending the information should be retrieved for

Response Structure

Path Type Description
id String The ID of the sending instance
creationDate String The date and time when the sending instance was created
scheduleDate String The date and time when the sending instance will be or was executed
mailingSynchronizationId String The ID of the mailing synchronization.
state String The current state of the sending attempt
transactionId String The transaction ID used in the initial request payload, null if none was provided
target Object The information about the sending target
target.mailingId Number The ID of the mailing in Inxmail Professional
target.sendingId Number The ID of the sending in Inxmail Professional
_links Object The links currently available for this resource.

The state field can take the following values:

  • PENDING means the request is still being processed.
  • CREATED means the mailing was successfully sent or scheduled for sending.
  • FAILED means the sending definitively failed.
  • INDETERMINATE_FAILURE means it's uncertain whether the sending went out successfully or not.

For more information, see Create a sending.

Name Description
inx:report The link to open the report for the sending.

Basic example

Request:

$ curl 'https://myka-1.my-api.inxmail.de/integrations/inxmail-professional/mailing-synchronizations/0b405924-a96a-4c52-a20e-488d554f518a/sendings/536eb5a9-8e95-4f35-b0dd-21f901af0679' -i -X GET \
    -H 'Authorization: Basic <base64Encoded user:password>'

Response:

HTTP/1.1 200 OK
Content-Type: application/hal+json;charset=UTF-8
Content-Length: ...

{
    "id": "536eb5a9-8e95-4f35-b0dd-21f901af0679",
    "mailingSynchronizationId": "e12da055-9d95-4287-a13c-a329d9898d09",
    "creationDate": "2021-02-10T09:49:11.051Z",
    "scheduleDate": null,
    "state": "CREATED",
    "transactionId": null,
    "target": {
        "mailingId": 836,
        "sendingId": 24
    },
    "_links": {
        "self": {
            "href": "https://myka-1.my-api.inxmail.de/integrations/inxmail-professional/mailing-synchronizations/e12da055-9d95-4287-a13c-a329d9898d09/sendings/536eb5a9-8e95-4f35-b0dd-21f901af0679"
        },
        "inx:report": {
            "href": "https://myka-1.my.inxmail.de/reporting/reports/e12da055-9d95-4287-a13c-a329d9898d09"
        },
        "curies": [
            {
                "href": "https://apidocs.inxmail.com/nxp/rest/v1/relations/{rel}",
                "name": "inx",
                "templated": true
            }
        ]
    }
}